//
// $Source: /cvsroot/gambit/gambit/sources/game/Attic/nfginst.cc,v $
// $Date: 2005/06/13 02:32:10 $
// $Revision: 1.5.2.6 $
//
// DESCRIPTION:
// Instantiation of template classes used in normal forms
//
// This file is part of Gambit
// Copyright (c) 2002, The Gambit Project
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#include "behav.h"
#include "lexicon.h"
#include "mixed.imp"
#include "math/rational.h"

template<>
const gNumber MixedProfile<gNumber>::Payoff(const gbtNfgOutcome *o, int pl) const
{ 
  return o->m_ratPayoffs[pl];
}

template<>
const gRational MixedProfile<gRational>::Payoff(const gbtNfgOutcome *o, int pl) const
{ 
  return o->m_ratPayoffs[pl];
}

template<>
const double MixedProfile<double>::Payoff(const gbtNfgOutcome *o, int pl) const
{ 
  return o->m_doublePayoffs[pl];
}

template class MixedProfile<double>;
template class MixedProfile<gRational>;
template class MixedProfile<gNumber>;


#include "base/grblock.imp"

template class gRectBlock<double>;
template class gRectBlock<gRational>;
