//
// $Source: /cvsroot/gambit/gambit/sources/gui/Attic/dlgameprop.h,v $
// $Date: 2005/06/01 04:59:23 $
// $Revision: 1.1.2.2 $
//
// DESCRIPTION:
// Dialog for viewing and editing properties of a game
//
// This file is part of Gambit
// Copyright (c) 2005, The Gambit Project
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#ifndef DLGAMEPROP_H
#define DLGAMEPROP_H

class wxNotebook;

class gbtGamePropertiesDialog : public wxDialog {
private:
  gbtGameDocument *m_doc;
  wxNotebook *m_notebook;

  // Event handlers
  void OnOK(wxCommandEvent &);

public:
  // Lifecycle
  gbtGamePropertiesDialog(wxWindow *p_parent, gbtGameDocument *p_doc);

  // Data access (only valid when ShowModal() returns with wxID_OK)
  wxString GetTitle(void) const;
  wxString GetComment(void) const;

  int NumPlayers(void) const;
  wxString GetPlayerLabel(int pl) const;
  wxColour GetPlayerColor(int pl) const;

  DECLARE_EVENT_TABLE()
};


#endif  // DLEDITEFG_H

