//
// $Source: /cvsroot/gambit/gambit/sources/gui/Attic/nfgpanel.h,v $
// $Date: 2005/06/10 15:17:09 $
// $Revision: 1.1.2.4 $
//
// DESCRIPTION:
// Panel to display normal form games in tabular format
//
// This file is part of Gambit
// Copyright (c) 2005, The Gambit Project
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

#ifndef NFGPANEL_H
#define NFGPANEL_H

#include "ctrlplay.h"     // for row and column player controls
#include "sheet.h"        // for wxSheet

class gbtNfgPanel : public wxPanel, public gbtGameView {
private:
  wxWindow *m_dominanceToolbar, *m_playerToolbar;
  wxSheet *m_grid;
  gbtPlayerLabelCtrl *m_rowPlayerCtrl, *m_colPlayerCtrl;
  gArray<int> m_contingency;

  void OnSetRowPlayer(wxCommandEvent &);
  void OnSetColPlayer(wxCommandEvent &);
  void OnToolsDominance(wxCommandEvent &);

  // Overriding gbtGameView members
  void OnUpdate(void);

public:
  gbtNfgPanel(wxWindow *p_parent, gbtGameDocument *p_doc);
  virtual ~gbtNfgPanel() { }

  const gArray<int> &GetContingency(void) const { return m_contingency; }
  int GetStrategy(int pl) const { return m_contingency[pl]; }

  void SetStrategy(int, int);
  int GetRowPlayer(void) const { return m_rowPlayerCtrl->GetPlayer(); }
  int GetColPlayer(void) const { return m_colPlayerCtrl->GetPlayer(); }
  int GetTablePlayer(int) const;

  DECLARE_EVENT_TABLE()
};

#endif  // NFGPANEL_H






